# The "gls" Package

These routines are meant to provide an interface to the Glish library. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

Library: karma
Link With: -lkarma

#### Functions

gls_initialise | Initialise Glish support.
gls_test_running | Test if Glish available and running.

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

flag gls_initialise (int *argc, char **argv)

Initialise Glish support.

Parameters:

- argc : As passed to the main function.
- argv : As passed to the main function.

Returns: TRUE if running under Glish, else FALSE.
Multithreading Level: Unsafe
Note:

- This function must not be called until the dm package is initialised.

#### EXPERIMENTAL FUNCTION: subject to change without notice

flag gls_test_running ()

Test if Glish available and running.

Parameters:

This function takes no parameters

Returns: TRUE if Glish available and running, else FALSE.
Multithreading Level: Unsafe

Back to Karma Home Page